PHPExcel_Writer_Excel5_Xf

category | PHPExcel
package | PHPExcel_Writer_Excel5
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Constructor

    __construct(\PHPExcel_Style $style)

access | public

### Parameters

#### $style

`\PHPExcel_Style`

The XF format

## Sets the cell's background color

    setBgColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Sets the cell's bottom border color

    setBottomColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Sets the cell's diagonal border color

    setDiagColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Sets the cell's foreground color

    setFgColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Set the font index.

    setFontIndex(int $value)

### Parameters

#### $value

`int`

Font index, note that value 4 does not exist

## Is this a style XF ?

    setIsStyleXf(boolean $value)

### Parameters

#### $value

`boolean`

## Sets the cell's left border color

    setLeftColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Sets the index to the number format record It can be date, time, currency, etc.

    setNumberFormatIndex(integer $numberFormatIndex)

..

access | public

### Parameters

#### $numberFormatIndex

`integer`

Index to format record

## Sets the cell's right border color

    setRightColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Sets the cell's top border color

    setTopColor(int $colorIndex)

access | public

### Parameters

#### $colorIndex

`int`

Color index

## Generate an Excel BIFF XF record (style or cell).

    writeXf() : string

### Returns

`string`The XF record

## Map border style

    _mapBorderStyle(string $borderStyle) : int

Static

### Parameters

#### $borderStyle

`string`

### Returns

`int`

## Map fill type

    _mapFillType(string $fillType) : int

Static

### Parameters

#### $fillType

`string`

### Returns

`int`

## Map to BIFF2-BIFF8 codes for horizontal alignment

    _mapHAlign(string $hAlign) : int

### Parameters

#### $hAlign

`string`

### Returns

`int`

## Map hidden

    _mapHidden(string $hidden) : int

Static

### Parameters

#### $hidden

`string`

### Returns

`int`

## Map locked

    _mapLocked(string $locked) : int

Static

### Parameters

#### $locked

`string`

### Returns

`int`

## Map to BIFF8 codes for text rotation angle

    _mapTextRotation(int $textRotation) : int

Static

### Parameters

#### $textRotation

`int`

### Returns

`int`

## Map to BIFF2-BIFF8 codes for vertical alignment

    _mapVAlign(string $vAlign) : int

Static

### Parameters

#### $vAlign

`string`

### Returns

`int`

### Properties

##

    $_bg_color : integer

##

    $_bottom_color : integer

##

    $_fg_color : integer

##

    $_left_color : integer

##

    $_numberFormatIndex : integer

##

    $_right_color : integer

##

    $_text_justlast : integer

##

    $_top_color : integer

##

    $_fontIndex : integer

Index 4 does not exist

##

    $_isStyleXf : boolean

##

    $_mapBorderStyle

static | array of int

##

    $_mapFillType

static | array of int

##

    $_mapHAlign

static | array of int

##

    $_mapVAlign

static | array of int